- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Slots | Protected Member Functions | Properties | Friends

# QGraphicsScene Class Reference

Search for all occurrences

## Detailed Description

Definition at line 101 of file qgraphicsscene.h.

`#include <qgraphicsscene.h>`

Inheritance diagram for QGraphicsScene:
[legend]

List of all members.

## Public Types
enum | ItemIndexMethod { BspTreeIndex, NoIndex = -1 }
enum | SceneLayer { ItemLayer = 0x1, BackgroundLayer = 0x2, ForegroundLayer = 0x4, AllLayers = 0xffff }
## Public Slots
void | update (const QRectF &rect=QRectF())
void | invalidate (const QRectF &rect=QRectF(), SceneLayers layers=AllLayers)
void | advance ()
void | clearSelection ()
void | clear ()
## Signals
void | changed (const QList< QRectF > &region)
void | sceneRectChanged (const QRectF &rect)
void | selectionChanged ()
## Public Member Functions
| QGraphicsScene (QObject *parent=0)
| QGraphicsScene (const QRectF &sceneRect, QObject *parent=0)
| QGraphicsScene (qreal x, qreal y, qreal width, qreal height, QObject *parent=0)
virtual | ~QGraphicsScene ()
QRectF | sceneRect () const
qreal | width () const
qreal | height () const
void | setSceneRect (const QRectF &rect)
void | setSceneRect (qreal x, qreal y, qreal w, qreal h)
void | render (QPainter *painter, const QRectF &target=QRectF(), const QRectF &source=QRectF(), Qt::AspectRatioMode aspectRatioMode=Qt::KeepAspectRatio)
ItemIndexMethod | itemIndexMethod () const
void | setItemIndexMethod (ItemIndexMethod method)
bool | isSortCacheEnabled () const
void | setSortCacheEnabled (bool enabled)
int | bspTreeDepth () const
void | setBspTreeDepth (int depth)
QRectF | itemsBoundingRect () const
QList< QGraphicsItem * > | items () const
QList< QGraphicsItem * > | items (Qt::SortOrder order) const
QList< QGraphicsItem * > | items (const QPointF &pos, Qt::ItemSelectionMode mode, Qt::SortOrder order, const QTransform &deviceTransform=QTransform()) const
QList< QGraphicsItem * > | items (const QRectF &rect, Qt::ItemSelectionMode mode, Qt::SortOrder order, const QTransform &deviceTransform=QTransform()) const
QList< QGraphicsItem * > | items (const QPolygonF &polygon, Qt::ItemSelectionMode mode, Qt::SortOrder order, const QTransform &deviceTransform=QTransform()) const
QList< QGraphicsItem * > | items (const QPainterPath &path, Qt::ItemSelectionMode mode, Qt::SortOrder order, const QTransform &deviceTransform=QTransform()) const
QList< QGraphicsItem * > | items (const QPointF &pos) const
QList< QGraphicsItem * > | items (const QRectF &rect, Qt::ItemSelectionMode mode=Qt::IntersectsItemShape) const
QList< QGraphicsItem * > | items (const QPolygonF &polygon, Qt::ItemSelectionMode mode=Qt::IntersectsItemShape) const
QList< QGraphicsItem * > | items (const QPainterPath &path, Qt::ItemSelectionMode mode=Qt::IntersectsItemShape) const
QList< QGraphicsItem * > | collidingItems (const QGraphicsItem *item, Qt::ItemSelectionMode mode=Qt::IntersectsItemShape) const
QGraphicsItem * | itemAt (const QPointF &pos) const
QGraphicsItem * | itemAt (const QPointF &pos, const QTransform &deviceTransform) const
QList< QGraphicsItem * > | items (qreal x, qreal y, qreal w, qreal h, Qt::ItemSelectionMode mode=Qt::IntersectsItemShape) const
QList< QGraphicsItem * > | items (qreal x, qreal y, qreal w, qreal h, Qt::ItemSelectionMode mode, Qt::SortOrder order, const QTransform &deviceTransform=QTransform()) const
QGraphicsItem * | itemAt (qreal x, qreal y) const
QGraphicsItem * | itemAt (qreal x, qreal y, const QTransform &deviceTransform) const
QList< QGraphicsItem * > | selectedItems () const
QPainterPath | selectionArea () const
void | setSelectionArea (const QPainterPath &path)
void | setSelectionArea (const QPainterPath &path, const QTransform &deviceTransform)
void | setSelectionArea (const QPainterPath &path, Qt::ItemSelectionMode mode)
void | setSelectionArea (const QPainterPath &path, Qt::ItemSelectionMode mode, const QTransform &deviceTransform)
QGraphicsItemGroup * | createItemGroup (const QList< QGraphicsItem * > &items)
void | destroyItemGroup (QGraphicsItemGroup *group)
void | addItem (QGraphicsItem *item)
QGraphicsEllipseItem * | addEllipse (const QRectF &rect, const QPen &pen=QPen(), const QBrush &brush=QBrush())
QGraphicsLineItem * | addLine (const QLineF &line, const QPen &pen=QPen())
QGraphicsPathItem * | addPath (const QPainterPath &path, const QPen &pen=QPen(), const QBrush &brush=QBrush())
QGraphicsPixmapItem * | addPixmap (const QPixmap &pixmap)
QGraphicsPolygonItem * | addPolygon (const QPolygonF &polygon, const QPen &pen=QPen(), const QBrush &brush=QBrush())
QGraphicsRectItem * | addRect (const QRectF &rect, const QPen &pen=QPen(), const QBrush &brush=QBrush())
QGraphicsTextItem * | addText (const QString &text, const QFont &font=QFont())
QGraphicsSimpleTextItem * | addSimpleText (const QString &text, const QFont &font=QFont())
QGraphicsProxyWidget * | addWidget (QWidget *widget, Qt::WindowFlags wFlags=0)
QGraphicsEllipseItem * | addEllipse (qreal x, qreal y, qreal w, qreal h, const QPen &pen=QPen(), const QBrush &brush=QBrush())
QGraphicsLineItem * | addLine (qreal x1, qreal y1, qreal x2, qreal y2, const QPen &pen=QPen())
QGraphicsRectItem * | addRect (qreal x, qreal y, qreal w, qreal h, const QPen &pen=QPen(), const QBrush &brush=QBrush())
void | removeItem (QGraphicsItem *item)
QGraphicsItem * | focusItem () const
void | setFocusItem (QGraphicsItem *item, Qt::FocusReason focusReason=Qt::OtherFocusReason)
bool | hasFocus () const
void | setFocus (Qt::FocusReason focusReason=Qt::OtherFocusReason)
void | clearFocus ()
void | setStickyFocus (bool enabled)
bool | stickyFocus () const
QGraphicsItem * | mouseGrabberItem () const
QBrush | backgroundBrush () const
void | setBackgroundBrush (const QBrush &brush)
QBrush | foregroundBrush () const
void | setForegroundBrush (const QBrush &brush)
virtual QVariant | inputMethodQuery (Qt::InputMethodQuery query) const
QList< QGraphicsView * > | views () const
void | update (qreal x, qreal y, qreal w, qreal h)
void | invalidate (qreal x, qreal y, qreal w, qreal h, SceneLayers layers=AllLayers)
QStyle * | style () const
void | setStyle (QStyle *style)
QFont | font () const
void | setFont (const QFont &font)
QPalette | palette () const
void | setPalette (const QPalette &palette)
bool | isActive () const
QGraphicsItem * | activePanel () const
void | setActivePanel (QGraphicsItem *item)
QGraphicsWidget * | activeWindow () const
void | setActiveWindow (QGraphicsWidget *widget)
bool | sendEvent (QGraphicsItem *item, QEvent *event)
## Protected Slots
bool | focusNextPrevChild (bool next)
## Protected Member Functions
bool | event (QEvent *event)
bool | eventFilter (QObject *watched, QEvent *event)
virtual void | contextMenuEvent (QGraphicsSceneContextMenuEvent *event)
virtual void | dragEnterEvent (QGraphicsSceneDragDropEvent *event)
virtual void | dragMoveEvent (QGraphicsSceneDragDropEvent *event)
virtual void | dragLeaveEvent (QGraphicsSceneDragDropEvent *event)
virtual void | dropEvent (QGraphicsSceneDragDropEvent *event)
virtual void | focusInEvent (QFocusEvent *event)
virtual void | focusOutEvent (QFocusEvent *event)
virtual void | helpEvent (QGraphicsSceneHelpEvent *event)
virtual void | keyPressEvent (QKeyEvent *event)
virtual void | keyReleaseEvent (QKeyEvent *event)
virtual void | mousePressEvent (QGraphicsSceneMouseEvent *event)
virtual void | mouseMoveEvent (QGraphicsSceneMouseEvent *event)
virtual void | mouseReleaseEvent (QGraphicsSceneMouseEvent *event)
virtual void | mouseDoubleClickEvent (QGraphicsSceneMouseEvent *event)
virtual void | wheelEvent (QGraphicsSceneWheelEvent *event)
virtual void | inputMethodEvent (QInputMethodEvent *event)
virtual void | drawBackground (QPainter *painter, const QRectF &rect)
virtual void | drawForeground (QPainter *painter, const QRectF &rect)
virtual void | drawItems (QPainter *painter, int numItems, QGraphicsItem *items[], const QStyleOptionGraphicsItem options[], QWidget *widget=0)
## Properties
QBrush | backgroundBrush
QBrush | foregroundBrush
ItemIndexMethod | itemIndexMethod
QRectF | sceneRect
int | bspTreeDepth
QPalette | palette
QFont | font
bool | sortCacheEnabled
bool | stickyFocus
## Friends
class | QGraphicsItemPrivate
class | QGraphicsObject
class | QGraphicsView
class | QGraphicsViewPrivate
class | QGraphicsWidget
class | QGraphicsWidgetPrivate
class | QGraphicsEffect
class | QGraphicsSceneIndex
class | QGraphicsSceneIndexPrivate
class | QGraphicsSceneBspTreeIndex
class | QGraphicsSceneBspTreeIndexPrivate
class | QGraphicsItemEffectSourcePrivate
class | QGesture

## Member Enumeration Documentation

enum ItemIndexMethod

Search for all occurrences

Enumerator:

  BspTreeIndex | Search for all occurrences
  NoIndex | Search for all occurrences

Definition at line 115 of file qgraphicsscene.h.

                             {
            BspTreeIndex,
            NoIndex = -1
        };

enum SceneLayer

Search for all occurrences

Enumerator:

  ItemLayer | Search for all occurrences
  BackgroundLayer | Search for all occurrences
  ForegroundLayer | Search for all occurrences
  AllLayers | Search for all occurrences

Definition at line 120 of file qgraphicsscene.h.

                        {
            ItemLayer = 0x1,
            BackgroundLayer = 0x2,
            ForegroundLayer = 0x4,
            AllLayers = 0xffff
        };

## Constructor & Destructor Documentation

QGraphicsScene | ( | QObject * | parent = `0` | ) |

QGraphicsScene | ( | const QRectF & | sceneRect,
|  | QObject * | parent = `0`
| ) |  |

QGraphicsScene | ( | qreal | x,
|  | qreal | y,
|  | qreal | width,
|  | qreal | height,
|  | QObject * | parent = `0`
| ) |  |

virtual ~QGraphicsScene | ( |  | ) | `[virtual]`

## Member Function Documentation

QRectF sceneRect | ( |  | ) | const

Search for all occurrences

qreal width | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 134 of file qgraphicsscene.h.

    { return sceneRect().width(); }

qreal height | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 135 of file qgraphicsscene.h.

    { return sceneRect().height(); }

void setSceneRect | ( | const QRectF & | rect | ) |

Search for all occurrences

void setSceneRect | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | `[inline]`

Search for all occurrences

Definition at line 137 of file qgraphicsscene.h.

        { setSceneRect(QRectF(x, y, w, h)); }

void render | ( | QPainter * | painter,
|  | const QRectF & | target = `QRectF()`,
|  | const QRectF & | source = `QRectF()`,
|  | Qt::AspectRatioMode | aspectRatioMode = `Qt::KeepAspectRatio`
| ) |  |

Search for all occurrences

ItemIndexMethod itemIndexMethod | ( |  | ) | const

Search for all occurrences

void setItemIndexMethod | ( | ItemIndexMethod | method | ) |

Search for all occurrences

bool isSortCacheEnabled | ( |  | ) | const

Search for all occurrences

void setSortCacheEnabled | ( | bool | enabled | ) |

Search for all occurrences

int bspTreeDepth | ( |  | ) | const

Search for all occurrences

void setBspTreeDepth | ( | int | depth | ) |

Search for all occurrences

QRectF itemsBoundingRect | ( |  | ) | const

Search for all occurrences

QList<QGraphicsItem *> items | ( |  | ) | const

Search for all occurrences

QList<QGraphicsItem *> items | ( | Qt::SortOrder | order | ) | const

Search for all occurrences

QList<QGraphicsItem *> items | ( | const QPointF & | pos,
|  | Qt::ItemSelectionMode | mode,
|  | Qt::SortOrder | order,
|  | const QTransform & | deviceTransform = `QTransform()`
| ) |  | const

Search for all occurrences

QList<QGraphicsItem *> items | ( | const QRectF & | rect,
|  | Qt::ItemSelectionMode | mode,
|  | Qt::SortOrder | order,
|  | const QTransform & | deviceTransform = `QTransform()`
| ) |  | const

Search for all occurrences

QList<QGraphicsItem *> items | ( | const QPolygonF & | polygon,
|  | Qt::ItemSelectionMode | mode,
|  | Qt::SortOrder | order,
|  | const QTransform & | deviceTransform = `QTransform()`
| ) |  | const

Search for all occurrences

QList<QGraphicsItem *> items | ( | const QPainterPath & | path,
|  | Qt::ItemSelectionMode | mode,
|  | Qt::SortOrder | order,
|  | const QTransform & | deviceTransform = `QTransform()`
| ) |  | const

Search for all occurrences

QList<QGraphicsItem *> items | ( | const QPointF & | pos | ) | const

Search for all occurrences

QList<QGraphicsItem *> items | ( | const QRectF & | rect,
|  | Qt::ItemSelectionMode | mode = `Qt::IntersectsItemShape`
| ) |  | const

Search for all occurrences

QList<QGraphicsItem *> items | ( | const QPolygonF & | polygon,
|  | Qt::ItemSelectionMode | mode = `Qt::IntersectsItemShape`
| ) |  | const

Search for all occurrences

QList<QGraphicsItem *> items | ( | const QPainterPath & | path,
|  | Qt::ItemSelectionMode | mode = `Qt::IntersectsItemShape`
| ) |  | const

Search for all occurrences

QList<QGraphicsItem *> collidingItems | ( | const QGraphicsItem * | item,
|  | Qt::ItemSelectionMode | mode = `Qt::IntersectsItemShape`
| ) |  | const

Search for all occurrences

QGraphicsItem* itemAt | ( | const QPointF & | pos | ) | const

Search for all occurrences

QGraphicsItem* itemAt | ( | const QPointF & | pos,
|  | const QTransform & | deviceTransform
| ) |  | const

Search for all occurrences

QList<QGraphicsItem *> items | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h,
|  | Qt::ItemSelectionMode | mode = `Qt::IntersectsItemShape`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 173 of file qgraphicsscene.h.

        { return items(QRectF(x, y, w, h), mode); } // ### obsolete

QList<QGraphicsItem *> items | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h,
|  | Qt::ItemSelectionMode | mode,
|  | Qt::SortOrder | order,
|  | const QTransform & | deviceTransform = `QTransform()`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 175 of file qgraphicsscene.h.

        { return items(QRectF(x, y, w, h), mode, order, deviceTransform); }

QGraphicsItem* itemAt | ( | qreal | x,
|  | qreal | y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 178 of file qgraphicsscene.h.

        { return itemAt(QPointF(x, y)); }

QGraphicsItem* itemAt | ( | qreal | x,
|  | qreal | y,
|  | const QTransform & | deviceTransform
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 180 of file qgraphicsscene.h.

        { return itemAt(QPointF(x, y), deviceTransform); }

QList<QGraphicsItem *> selectedItems | ( |  | ) | const

Search for all occurrences

QPainterPath selectionArea | ( |  | ) | const

Search for all occurrences

void setSelectionArea | ( | const QPainterPath & | path | ) |

Search for all occurrences

void setSelectionArea | ( | const QPainterPath & | path,
|  | const QTransform & | deviceTransform
| ) |  |

Search for all occurrences

void setSelectionArea | ( | const QPainterPath & | path,
|  | Qt::ItemSelectionMode | mode
| ) |  |

Search for all occurrences

void setSelectionArea | ( | const QPainterPath & | path,
|  | Qt::ItemSelectionMode | mode,
|  | const QTransform & | deviceTransform
| ) |  |

Search for all occurrences

QGraphicsItemGroup* createItemGroup | ( | const QList< QGraphicsItem * > & | items | ) |

Search for all occurrences

void destroyItemGroup | ( | QGraphicsItemGroup * | group | ) |

Search for all occurrences

void addItem | ( | QGraphicsItem * | item | ) |

Search for all occurrences

QGraphicsEllipseItem* addEllipse | ( | const QRectF & | rect,
|  | const QPen & | pen = `QPen()`,
|  | const QBrush & | brush = `QBrush()`
| ) |  |

Search for all occurrences

QGraphicsLineItem* addLine | ( | const QLineF & | line,
|  | const QPen & | pen = `QPen()`
| ) |  |

Search for all occurrences

QGraphicsPathItem* addPath | ( | const QPainterPath & | path,
|  | const QPen & | pen = `QPen()`,
|  | const QBrush & | brush = `QBrush()`
| ) |  |

Search for all occurrences

QGraphicsPixmapItem* addPixmap | ( | const QPixmap & | pixmap | ) |

Search for all occurrences

QGraphicsPolygonItem* addPolygon | ( | const QPolygonF & | polygon,
|  | const QPen & | pen = `QPen()`,
|  | const QBrush & | brush = `QBrush()`
| ) |  |

Search for all occurrences

QGraphicsRectItem* addRect | ( | const QRectF & | rect,
|  | const QPen & | pen = `QPen()`,
|  | const QBrush & | brush = `QBrush()`
| ) |  |

Search for all occurrences

QGraphicsTextItem* addText | ( | const QString & | text,
|  | const QFont & | font = `QFont()`
| ) |  |

Search for all occurrences

QGraphicsSimpleTextItem* addSimpleText | ( | const QString & | text,
|  | const QFont & | font = `QFont()`
| ) |  |

Search for all occurrences

QGraphicsProxyWidget* addWidget | ( | QWidget * | widget,
|  | Qt::WindowFlags | wFlags = `0`
| ) |  |

Search for all occurrences

QGraphicsEllipseItem* addEllipse | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h,
|  | const QPen & | pen = `QPen()`,
|  | const QBrush & | brush = `QBrush()`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 203 of file qgraphicsscene.h.

        { return addEllipse(QRectF(x, y, w, h), pen, brush); }

QGraphicsLineItem* addLine | ( | qreal | x1,
|  | qreal | y1,
|  | qreal | x2,
|  | qreal | y2,
|  | const QPen & | pen = `QPen()`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 205 of file qgraphicsscene.h.

        { return addLine(QLineF(x1, y1, x2, y2), pen); }

QGraphicsRectItem* addRect | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h,
|  | const QPen & | pen = `QPen()`,
|  | const QBrush & | brush = `QBrush()`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 207 of file qgraphicsscene.h.

        { return addRect(QRectF(x, y, w, h), pen, brush); }

void removeItem | ( | QGraphicsItem * | item | ) |

Search for all occurrences

QGraphicsItem* focusItem | ( |  | ) | const

Search for all occurrences

void setFocusItem | ( | QGraphicsItem * | item,
|  | Qt::FocusReason | focusReason = `Qt::OtherFocusReason`
| ) |  |

Search for all occurrences

bool hasFocus | ( |  | ) | const

Search for all occurrences

void setFocus | ( | Qt::FocusReason | focusReason = `Qt::OtherFocusReason` | ) |

Search for all occurrences

void clearFocus | ( |  | ) |

Search for all occurrences

void setStickyFocus | ( | bool | enabled | ) |

Search for all occurrences

bool stickyFocus | ( |  | ) | const

Search for all occurrences

QGraphicsItem* mouseGrabberItem | ( |  | ) | const

Search for all occurrences

QBrush backgroundBrush | ( |  | ) | const

Search for all occurrences

void setBackgroundBrush | ( | const QBrush & | brush | ) |

Search for all occurrences

QBrush foregroundBrush | ( |  | ) | const

Search for all occurrences

void setForegroundBrush | ( | const QBrush & | brush | ) |

Search for all occurrences

virtual QVariant inputMethodQuery | ( | Qt::InputMethodQuery | query | ) | const `[virtual]`

Search for all occurrences

QList<QGraphicsView *> views | ( |  | ) | const

Search for all occurrences

void update | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | `[inline]`

Search for all occurrences

Definition at line 232 of file qgraphicsscene.h.

        { update(QRectF(x, y, w, h)); }

void invalidate | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h,
|  | SceneLayers | layers = `AllLayers`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 234 of file qgraphicsscene.h.

        { invalidate(QRectF(x, y, w, h), layers); }

QStyle* style | ( |  | ) | const

Search for all occurrences

void setStyle | ( | QStyle * | style | ) |

Search for all occurrences

QFont font | ( |  | ) | const

Search for all occurrences

void setFont | ( | const QFont & | font | ) |

Search for all occurrences

QPalette palette | ( |  | ) | const

Search for all occurrences

void setPalette | ( | const QPalette & | palette | ) |

Search for all occurrences

bool isActive | ( |  | ) | const

Search for all occurrences

QGraphicsItem* activePanel | ( |  | ) | const

Search for all occurrences

void setActivePanel | ( | QGraphicsItem * | item | ) |

Search for all occurrences

QGraphicsWidget* activeWindow | ( |  | ) | const

Search for all occurrences

void setActiveWindow | ( | QGraphicsWidget * | widget | ) |

Search for all occurrences

bool sendEvent | ( | QGraphicsItem * | item,
|  | QEvent * | event
| ) |  |

Search for all occurrences

void update | ( | const QRectF & | rect = `QRectF()` | ) | `[slot]`

Search for all occurrences

void invalidate | ( | const QRectF & | rect = `QRectF()`,
|  | SceneLayers | layers = `AllLayers`
| ) |  | `[slot]`

Search for all occurrences

void advance | ( |  | ) | `[slot]`

Search for all occurrences

void clearSelection | ( |  | ) | `[slot]`

Search for all occurrences

void clear | ( |  | ) | `[slot]`

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

bool eventFilter | ( | QObject * | watched,
|  | QEvent * | event
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

virtual void contextMenuEvent | ( | QGraphicsSceneContextMenuEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void dragEnterEvent | ( | QGraphicsSceneDragDropEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void dragMoveEvent | ( | QGraphicsSceneDragDropEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void dragLeaveEvent | ( | QGraphicsSceneDragDropEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void dropEvent | ( | QGraphicsSceneDragDropEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void focusInEvent | ( | QFocusEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void focusOutEvent | ( | QFocusEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void helpEvent | ( | QGraphicsSceneHelpEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void keyPressEvent | ( | QKeyEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void keyReleaseEvent | ( | QKeyEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void mousePressEvent | ( | QGraphicsSceneMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void mouseMoveEvent | ( | QGraphicsSceneMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void mouseReleaseEvent | ( | QGraphicsSceneMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void mouseDoubleClickEvent | ( | QGraphicsSceneMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void wheelEvent | ( | QGraphicsSceneWheelEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void inputMethodEvent | ( | QInputMethodEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void drawBackground | ( | QPainter * | painter,
|  | const QRectF & | rect
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual void drawForeground | ( | QPainter * | painter,
|  | const QRectF & | rect
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual void drawItems | ( | QPainter * | painter,
|  | int | numItems,
|  | QGraphicsItem * | items[],
|  | const QStyleOptionGraphicsItem | options[],
|  | QWidget * | widget = `0`
| ) |  | `[protected, virtual]`

Search for all occurrences

bool focusNextPrevChild | ( | bool | next | ) | `[protected, slot]`

Search for all occurrences

void changed | ( | const QList< QRectF > & | region | ) | `[signal]`

Search for all occurrences

void sceneRectChanged | ( | const QRectF & | rect | ) | `[signal]`

Search for all occurrences

void selectionChanged | ( |  | ) | `[signal]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QGraphicsItemPrivate `[friend]`

Search for all occurrences

Definition at line 304 of file qgraphicsscene.h.

friend class QGraphicsObject `[friend]`

Search for all occurrences

Definition at line 305 of file qgraphicsscene.h.

friend class QGraphicsView `[friend]`

Search for all occurrences

Definition at line 306 of file qgraphicsscene.h.

friend class QGraphicsViewPrivate `[friend]`

Search for all occurrences

Definition at line 307 of file qgraphicsscene.h.

friend class QGraphicsWidget `[friend]`

Search for all occurrences

Definition at line 308 of file qgraphicsscene.h.

friend class QGraphicsWidgetPrivate `[friend]`

Search for all occurrences

Definition at line 309 of file qgraphicsscene.h.

friend class QGraphicsEffect `[friend]`

Search for all occurrences

Definition at line 310 of file qgraphicsscene.h.

friend class QGraphicsSceneIndex `[friend]`

Search for all occurrences

Definition at line 311 of file qgraphicsscene.h.

friend class QGraphicsSceneIndexPrivate `[friend]`

Search for all occurrences

Definition at line 312 of file qgraphicsscene.h.

friend class QGraphicsSceneBspTreeIndex `[friend]`

Search for all occurrences

Definition at line 313 of file qgraphicsscene.h.

friend class QGraphicsSceneBspTreeIndexPrivate `[friend]`

Search for all occurrences

Definition at line 314 of file qgraphicsscene.h.

friend class QGraphicsItemEffectSourcePrivate `[friend]`

Search for all occurrences

Definition at line 315 of file qgraphicsscene.h.

friend class QGesture `[friend]`

Search for all occurrences

Definition at line 317 of file qgraphicsscene.h.

## Property Documentation

QBrush backgroundBrush `[read, write]`

Search for all occurrences

Definition at line 104 of file qgraphicsscene.h.

QBrush foregroundBrush `[read, write]`

Search for all occurrences

Definition at line 105 of file qgraphicsscene.h.

ItemIndexMethod itemIndexMethod `[read, write]`

Search for all occurrences

Definition at line 106 of file qgraphicsscene.h.

QRectF sceneRect `[read, write]`

Search for all occurrences

Definition at line 107 of file qgraphicsscene.h.

int bspTreeDepth `[read, write]`

Search for all occurrences

Definition at line 108 of file qgraphicsscene.h.

QPalette palette `[read, write]`

Search for all occurrences

Definition at line 109 of file qgraphicsscene.h.

QFont font `[read, write]`

Search for all occurrences

Definition at line 110 of file qgraphicsscene.h.

bool sortCacheEnabled `[read, write]`

Search for all occurrences

Definition at line 111 of file qgraphicsscene.h.

bool stickyFocus `[read, write]`

Search for all occurrences

Definition at line 112 of file qgraphicsscene.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicsscene.h

QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene
QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene QGraphicsScene